Forums

Might & Magic Heroes VII (2015) : exécution impossible

Auteur Réponses
So_Christers Jeudi 11 Janvier 2018 à 17:49
So_ChristersAnonymous

Bonjour,

Je viens d'installer POM, je suis un peu novice dans ce domaine et j'ai quelques difficultés à installer un jeux sur Steam. Il s'agit du jeux Might & Magic VII.

Ma config : macOS High Sierra 10.13.2 et PlayOnMac 4.2.12

Voici le message d'erreur que j'obtiens lorsque je lance le jeu sur steam :
"Une erreur est survenue lors de la mise à jour de Might & Magic Heroes VII (configuration de l'application non valide)"
 

Mes questions, est-ce possible de jouer à ce jeu via POM ou pas du tout et si oui quelle sont les manip à effectuer pour que ça fonctionne ? Est-ce un problème avec le jeux en 64bits ?

 

Je vous remercie d'avance.
++ 

 

So_Christers Mardi 16 Janvier 2018 à 11:45
So_ChristersAnonymous

Re-Bonjour,

Quelqu'un aurait une idée concernant ma problématique ou bien même une piste sur laquelle je pourrais creuser ?

Un petit coup de main serait appréciable :)

Merci

 

Tutul Mercredi 17 Janvier 2018 à 14:24
Tutul
Modérateur

Bonjour, bon ça fait un baille que j'ai plus utiliser un mac mais je peux quand même un peu aider

Peux-tu décrire ce que tu as fait stp ? :) 


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
So_Christers Jeudi 18 Janvier 2018 à 14:43
So_ChristersAnonymous

Bonjour,

Déjà merci pour l'aide.

Alors, j'ai installé Play on Mac sans trop de soucis puis Steam via POM. Jusque là toujours ok problème, j'arrive à acceder a mon compte sur steam. Une fois le jeux (Might and Magic Heroes VII acheter via la plateforme Steam) installé (sans erreur), j'essaie de le lancer et là j'ai un message d'erreur qui apparait : "Une erreur est survenue lors de la mise à jour de Might & Magic Heroes VII (configuration de l'application non valide)" 

A partir de ce moment il n'y a plus rien à faire, ça ne fonctionne pas.

Est ce un soucis de version du logiciel Wine ? Le jeux Might and Magic Heroes VII est en 64 bits, et ce que cela peut poser problème ? 

Qu'en penses-tu ?

Je suis un peu perdu...

 

Tutul Vendredi 19 Janvier 2018 à 0:15
Tutul
Modérateur

Il me semble que le script d'installation de Steam par défaut est en 32-bits :/

Regarde le panneau de configuration de PlayOnMac (le boutons avec l'icone de rouage), l'icone à gauche du prefix de steam est avec un 32 ou un 64 ?


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
So_Christers Vendredi 19 Janvier 2018 à 15:34
So_ChristersAnonymous

Il y a inscrit 32-bits :(

Il n'existe pas en 64-bits ? Pas moyen de le faire évoluer ?

Tutul Samedi 20 Janvier 2018 à 15:47
Tutul
Modérateur

Alors pas moyen de faire évoluer mais en procédant à une installation manuelles on peut s'occuper de cela (en espérant que ce soit bien cela le soucis)


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
So_Christers Lundi 22 Janvier 2018 à 12:51
So_ChristersAnonymous

Oui ça peut être une idée.

Comment dois-je procéder pour cette installation manuelle ?

Tutul Mardi 23 Janvier 2018 à 14:14
Tutul
Modérateur

Je te donne un guide ce soir (basé sur POL mais c'est la même façon de faire). Je suis pas sur la bonne machine pour le moment ;)


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
So_Christers Mardi 23 Janvier 2018 à 16:39
So_ChristersAnonymous

Merci beaucoup ! laugh

Tutul Mercredi 24 Janvier 2018 à 15:51
Tutul
Modérateur

Créer le wineprefix en 64-bits

  1. outils > gestionnaire de version de wine
  2. 2e onglet (amd64)
  3. sélectionner et installer la version 1.8
  4. sur la fenêtre principal, cliquer sur "Configurer"
  5. Cliquer sur nouveau 
  6. Sélectionner "64-bits", puis sélectionner la version 1.8
  7. nomer le nouveau disque virtuel en "Might_and_Magic_VII"
  8. sélectionner le nouveau wineprefix et aller dans l'onglet "Installez les composants"
  9. sélectionner et installer "Microsoft Core Fonts"
  10. dans l'onglet "Affichage", donner votre mémoire vidéo dans le troisième menu déroulant (la VRAM != RAM)

Installer Steam dedans

  1. Télécharger http://media.steampowered.com/client/installer/SteamSetup.exe
  2. dans le menu de configuration, sur votre wineprefix, onglet divers, cliquez sur "lancer un .exe"
  3. chercher l'installateur steam télécharger (SteamSetup.exe) et validez
  4. faire l'installation normalement (ne pas lancer steam à la fin)

Installer le jeu

  1. Lancer une installation d'une application supporté et veilliez à rester en 64-bits sur la version 1.8
  2. Lorsque demandé le wineprefix, sélectionner "dans un wineprefix existant"
  3. Sélectionnez "Might_and_Magic_VII"
  4. Procédez à l'installation comme d'habitude
  5. A la fin, dans la configuration du wineprefix, créer un raccourci vers le jeu

 

En espérant que cela vous aide ;)

Pensez à lancer le debug (outils > debug) avant de lancer le jeu pour voir facilement les erreur si il y en as. Je reste à disposition :)


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
So_Christers Jeudi 25 Janvier 2018 à 14:57
So_ChristersAnonymous

Top ! Merci beaucoup pour cela.
Du coup j'ai essayé de faire les manipulations et je rencontre cependant quelques petits soucis.

Dans la partie "créer le wineprefix", je n'ai pas la possibilité de choisir la version 1.8 dans l'onglet amd64. Je n'ai le choix qu'entre les versions 2.0 jusqu'à 2.1-staging + 3 versions non numériques (phoenicis.lst / darwin-x86.lst / darwin-amd64.lst). Que faire ?

L'installation du jeux ne doit-elle pas se faire via steam ? Le jeux n'existe pas dans la liste des applications supportées (Might and Magic heroes VII et non Might and Magic VII).

Tutul Jeudi 25 Janvier 2018 à 15:13
Tutul
Modérateur

Tu as sauté une étapes, tu dois d'abord aller dans le gestionnaire de version de wine, pour installer la version voulue.

Pour installer tu lance steam de ce wineprefix là, et tu installe ce jeu depuis la liste des jeu


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
So_Christers Jeudi 25 Janvier 2018 à 15:55
So_ChristersAnonymous

Comment faire ?

La version 1.8 de wine n'est pas proposé dans la liste (dans l'onglet amd64). Je n'ai que les version 2.0 à 2.1 qui sont accessibles plus 3 autres (phoenicis.lst / darwin-x86.lst / darwin-amd64.lst).

Tutul Jeudi 25 Janvier 2018 à 16:11
Tutul
Modérateur

Hum si tu peux attendre le week-end j'ai moyen d'avoir accès à un OSX avec POM dessus. Je verrais cela...


Gentils modérateur dans mes bon jours - Attention, à tenir hors de portée des enfants. En cas de contact, veuillez immédiatement rincer à l'eau clair. Peut provoquer des sueurs froide !
So_Christers Jeudi 25 Janvier 2018 à 18:06
So_ChristersAnonymous

Oui bien sur sans aucun soucis :)

VictorToutain Samedi 4 Avril 2020 à 13:25
VictorToutainAnonymous

Bonjour à tous les deux,

 

J'ai lu vos échanges avec beaucoup d'intérêt, étant confronté au même problème que So_Christers... et malheureusement, je suis bloqué au même stade puisque la version 1.8 de Wine ne m'est pas proposée dans la liste... 

 

Si jamais vous avez la solution...


D'avance merci!

 

Victor

Dadu042 Mardi 7 Avril 2020 à 14:51
Dadu042
Modérateur

Wine 1.8 est sorti en décembre 2015. Il est fort possible que des versions plus récentes puissent faire fonctionner ce jeu (si vous y arrivez, merci de l'indiquer ici).

VictorToutain Mardi 21 Avril 2020 à 22:58
VictorToutainAnonymous

Bonsoir,

Le problème est que les versions de WINE ultérieures à 1.8 ne permettent pas d'installer le wineprefix en 64-bits.

C'est le même problème que celui rencontré par So_Christers et énoncé dans son message du 25 janvier envoyé à 15:55.